Package com.smartgwt.logicalstructure.widgets.viewer

# Class DetailViewerLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.viewer.DetailViewerLogicalStructure

public class DetailViewerLogicalStructure extends CanvasLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `blockSeparator`
  `String`
  `blockStyle`
  `String`
  `canPickFields`
  `String`
  `cellStyle`
  `String`
  `clipLabels`
  `String`
  `configureFieldsText`
  `String`
  `dataArity`
  `DetailViewerRecord[]`
  `dataAsDetailViewerRecordArray`
  `Record[]`
  `dataAsRecordArray`
  `RecordList`
  `dataAsRecordList`
  `String`
  `dataFetchMode`
  `String`
  `dateFormatter`
  `String`
  `datetimeFormatter`
  `String`
  `editProxyConstructor`
  `String`
  `emptyCellValue`
  `String`
  `emptyMessage`
  `String`
  `emptyMessageStyle`
  `String`
  `fieldIdProperty`
  `String[]`
  `fieldPickerFieldProperties`
  `DetailViewerField[]`
  `fields`
  `String`
  `headerStyle`
  `String`
  `hiliteIconHeight`
  `String`
  `hiliteIconLeftPadding`
  `String`
  `hiliteIconPosition`
  `String`
  `hiliteIconRightPadding`
  `String[]`
  `hiliteIcons`
  `String`
  `hiliteIconSize`
  `String`
  `hiliteIconWidth`
  `String`
  `labelAlign`
  `String`
  `labelPrefix`
  `String`
  `labelStyle`
  `String`
  `labelSuffix`
  `String`
  `linkTextProperty`
  `String`
  `linkTextStyleName`
  `String`
  `loadingMessage`
  `String`
  `loadingMessageStyle`
  `String`
  `printCellStyle`
  `String`
  `printHeaderStyle`
  `String`
  `printLabelStyle`
  `String`
  `recordsPerBlock`
  `String`
  `rowHeight`
  `String`
  `separatorStyle`
  `String`
  `showDetailFields`
  `String`
  `showEmptyField`
  `String`
  `showEmptyMessage`
  `String`
  `styleName`
  `String`
  `timeFormatter`
  `String`
  `valueAlign`
  `String`
  `wrapLabel`
  `String`
  `wrapValues`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DetailViewerLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### blockSeparator

    public String blockSeparator

  - ### blockStyle

    public String blockStyle

  - ### canPickFields

    public String canPickFields

  - ### cellStyle

    public String cellStyle

  - ### clipLabels

    public String clipLabels

  - ### configureFieldsText

    public String configureFieldsText

  - ### dataAsDetailViewerRecordArray

    public DetailViewerRecord[] dataAsDetailViewerRecordArray

  - ### dataAsRecordArray

    public Record[] dataAsRecordArray

  - ### dataAsRecordList

    public RecordList dataAsRecordList

  - ### dataArity

    public String dataArity

  - ### dataFetchMode

    public String dataFetchMode

  - ### dateFormatter

    public String dateFormatter

  - ### datetimeFormatter

    public String datetimeFormatter

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### emptyCellValue

    public String emptyCellValue

  - ### emptyMessage

    public String emptyMessage

  - ### emptyMessageStyle

    public String emptyMessageStyle

  - ### fieldIdProperty

    public String fieldIdProperty

  - ### fieldPickerFieldProperties

    public String[] fieldPickerFieldProperties

  - ### fields

    public DetailViewerField[] fields

  - ### headerStyle

    public String headerStyle

  - ### hiliteIconHeight

    public String hiliteIconHeight

  - ### hiliteIconLeftPadding

    public String hiliteIconLeftPadding

  - ### hiliteIconPosition

    public String hiliteIconPosition

  - ### hiliteIconRightPadding

    public String hiliteIconRightPadding

  - ### hiliteIcons

    public String[] hiliteIcons

  - ### hiliteIconSize

    public String hiliteIconSize

  - ### hiliteIconWidth

    public String hiliteIconWidth

  - ### labelAlign

    public String labelAlign

  - ### labelPrefix

    public String labelPrefix

  - ### labelStyle

    public String labelStyle

  - ### labelSuffix

    public String labelSuffix

  - ### linkTextProperty

    public String linkTextProperty

  - ### linkTextStyleName

    public String linkTextStyleName

  - ### loadingMessage

    public String loadingMessage

  - ### loadingMessageStyle

    public String loadingMessageStyle

  - ### printCellStyle

    public String printCellStyle

  - ### printHeaderStyle

    public String printHeaderStyle

  - ### printLabelStyle

    public String printLabelStyle

  - ### recordsPerBlock

    public String recordsPerBlock

  - ### rowHeight

    public String rowHeight

  - ### separatorStyle

    public String separatorStyle

  - ### showDetailFields

    public String showDetailFields

  - ### showEmptyField

    public String showEmptyField

  - ### showEmptyMessage

    public String showEmptyMessage

  - ### styleName

    public String styleName

  - ### timeFormatter

    public String timeFormatter

  - ### valueAlign

    public String valueAlign

  - ### wrapLabel

    public String wrapLabel

  - ### wrapValues

    public String wrapValues

- ## Constructor Details

  - ### DetailViewerLogicalStructure

    public DetailViewerLogicalStructure()